.buttonWrapper {
    position: relative;
    display: inline-block;
    width: 100%;
    height: 40vh;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin: 3em 0;
    padding: 2em;
}

.buttonWrapper::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    opacity: 0.5;
    z-index: -1;
    /* behind content */
}

.buttonWrapper.property::before {
    background: url('../img/properties-map.png') center/cover no-repeat;
}

.buttonWrapper.development::before {
    background: url('../img/developments-map.png') center/cover no-repeat;
}


#showMapButton {
    background-color: #f0910a;
    color: white;
    border: 0;
    padding: 0.45em 1em;
    font-size: 1.2em;
    font-weight: 500;
}

@media (max-width: 767px) {

    #showMapButton {
        padding: 0.4em 0.8em;
        font-size: 1em;
    }
}

#showMapButton:hover {
    background-color: #fbe3c0;
    color: black;
}

#showMapButton:active,
#showMapButton:focus {
    background-color: #d27f0a;
    color: white;
}

.buttonWrapper h2 {
    font-weight: 700;
    font-size: 3em;
    margin: 10px 0 !important;
    text-transform: capitalize;
    text-align: center;
}

@media (max-width: 767px) {
    .buttonWrapper h2 {
        font-size: 1.8em;
    }
}


.buttonWrapper h3 {
    color: black !important;
    font-weight: 400;
    font-size: 1.5em !important;
    text-align: center;
    margin: 10px 0 20px 0 !important;
}

@media (max-width: 767px) {
    .buttonWrapper h3 {
        font-size: 1.3em !important;
    }
}

#mapContainer {
    width: 100%;
    margin-bottom: 3em;
}

#loading-overlay {
    display: none;
    /* hidden by default */
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.5);
    /* semi-transparent black */
    z-index: 9999;
    /* top layer */
    align-items: center;
    justify-content: center;
}

#loading-overlay .spinner {
    border: 8px solid #f3f3f3;
    border-top: 8px solid #f0910a;
    /* color of spinner */
    border-radius: 50%;
    width: 60px;
    height: 60px;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}